Antom, leading provider of tailored payment solutions

consultTransfer

POST /v1/aba/funds/consultTransfer

Use this interface to inquire about the expected transfer results before initiating a transfer.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

transferFromDetail Object  REQUIRED

Transfer details submitted by the payer.

Show child parameters

transferToDetail Object  REQUIRED

Transfer details for the beneficiary.

Show child parameters

Response parameters

result Object  REQUIRED

Indicates whether this API is called successfully. 

Show child parameters

transferFromDetail Object  

Transfer details submitted by the payer.

Note: This field is returned on demand only when the value of result.resultStatus is S.

Show child parameters

transferToDetail Object  

Transfer details for the beneficiary, including the transfer amount received.

Note: This field is returned on demand only when the value of result.resultStatus is S.

Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

This interface is called successfully.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is POST.

UN_SUPPORT_BUSINESSFUnsupported business.

Invalid parameters are used. Retry with the correct information.

USER_NO_PERMISSIONFUser does not have permission.

Retry with another user information.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

Make sure the currency input is correct and try again.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

USER_ACCOUNT_ABNORMALFThe user account status is abnormal.

Retry with a different user. If the issue persists, contact Antom Technical Support for more details.

USER_STATUS_ABNORMALFThe status of the user is abnormal. Retry with another card.

The status of the user is abnormal. Retry with another transfer order.

CONTRACT_CHECK_FAILFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.